<?php

/**
 * Page de traitement permettant le changement du préfixe d'un utilisateur.
 * Elle est appelée par la page de paramètres.
 * Un champ accessible aux seuls administrateurs permet de changer le préfixe d'un utilisateur (peut être vide).
 */

session_start();
require_once($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/sessions/privileges.php");
if (testPrivileges()!="administrateur") {
	header("Location: /pages/visiteurs/formulaire_accueil.php?erreur=18");
	die();
}
require_once ($_SERVER["DOCUMENT_ROOT"]."/services/fonctions/bdd/utilisateurs.php");

if ($_SESSION['privilege_utilisateur']=="administrateur" && isset($_POST['nouveau_prefixe'])) {
	changePrefixeUtilisateurBdd($pdo,$_SESSION['pseudo_utilisateur'],trim($_POST['nouveau_prefixe']));
	header ("Location: /pages/gestion/administration.php?page=parametres&succes=17");
	die();
}
else {
	header ("Location: /pages/visiteurs/formulaire_accueil.php?erreur=18");
	die();
}

?>